<script>
    import {scaleLinear} from 'd3-scale';
    import {extent} from 'd3-array';
    import {area} from'd3-shape';

    export let data=null;
    export let week;

    data=data.filter(d => d.week == week);

    const scaleX = scaleLinear().domain(extent(data.map(d => new Date(11, d.day, d.hour)))).range([0,160]);
    const scaleYgas = scaleLinear().domain(extent(data.map(d => d.total_gas))).range([50,90]);
    const scaleYelectricity = scaleLinear().domain(extent(data.map(d => d.total_electrity))).range([40,0])

    const plotGas = area()
               .x(d => scaleX(new Date(11, d.day, d.hour)))
               .y0(scaleYgas(0))
               .y1(d => scaleYgas(d.total_gas));
    const plotElectricity = area()
               .x(d => scaleX(new Date(11, d.day, d.hour)))
               .y0(scaleYelectricity(0))
               .y1(d => scaleYelectricity(d.total_electrity));


</script>


<path d={plotElectricity(data)} fill='steelblue'/>
<path d={plotGas(data)} fill='orange'/>
<line x1=0 y1=50 x2=160 y2=50 stroke='black'/>